Subject: Re: [RFC (take 2) Git User's Survey 2007

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 30 Jul 2007 21:09:21 -0400

Jakub Narebski <[email-masked]> wrote:
> Shawn O. Pearce wrote:
> > But I *seriously* object to calling egit a porcelain.  egit is a
> > complete reimplementation of git in Java.
> 
> O.K. I was not sure where to put egit (if put it at all). 
> Implementations? Currently we have core-git in C, egit in Java (what is 
> the progress report on this front?), and there was GSoC project of 
> Git.NET (but it didn't start I think).

Right, that's an accurate state of affairs.  Today egit can make
commits on the current branch.  Yay, progress.  :)
 
> Do you want question about egit in the survey?

Might be nice to know how many people are interested in the
Eclipse plugin.  But aside from that, I don't think its worth
including much about it.  Maybe just have a checkbox under
some heading like:

  What features is Git currently missing for your needs?
  [ ] Eclipse plugin
  [ ] wizhbang foo thing
  [ ] Other:  ________________________

?

-- 
Shawn.